<?php

/*
 * Genera un mensaje de error con los atributos de la linea, el archivo y el mensaje del error
 */

class Exception_Validation extends Exception{

    public function errorMessage($error) {
        //error message
        $errorMsg = 'Error on line ' . $this->getLine() . ' in ' . $this->getFile()
                . ': <b>' . $this->getMessage() . '</b> '.$error;
        return $errorMsg;
    }

}
?>
